Skip to main content
`Ctrl`+`K`

# scipy.special.nrdtrisd

scipy.special.nrdtrisd(mn, p, x, out=None) = <ufunc 'nrdtrisd'>

  Calculate standard deviation of normal distribution given other params.

  Parameters:
    mn scalar or ndarray

      The mean of the normal distribution.

    p array_like

      CDF values, in range (0, 1].

    x array_like

      Quantiles, i.e. the upper limit of integration.

    out ndarray, optional

      Optional output array for the function results

  Returns:
    std scalar or ndarray

      Standard deviation.

  See also

  `scipy.stats.norm`

    Normal distribution

  `ndtr`

    Standard normal cumulative probability distribution

  `ndtri`

    Inverse of standard normal CDF with respect to quantile

  `nrdtrimn`

    Inverse of normal distribution CDF with respect to mean

  Examples

  `nrdtrisd` can be used to recover the standard deviation of a normal distribution if we know the CDF value p for a given quantile x and the mean mn. First, we calculate the normal distribution CDF for an exemplary parameter set.

      >>> from scipy.stats import norm
      >>> mean = 3.
      >>> std = 2.
      >>> x = 6.
      >>> p = norm.cdf(x, loc=mean, scale=std)
      >>> p
      0.9331927987311419

  Verify that `nrdtrisd` returns the original value for std.

      >>> from scipy.special import nrdtrisd
      >>> nrdtrisd(mean, p, x)
      2.0000000000000004